#property copyright "mladen"
#property link      "mladenfx@gmail.com"
#property indicator_chart_window
#property indicator_buffers 1
#property indicator_color1 LimeGreen

//
//
//
//
//

extern int    timeFrame       = 0;
extern int    LineWidth       = 2;
extern color  LineColor       = LimeGreen;
extern int    arrowShift      = 10;

double open[];

color background;
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//

int init()
{
   SetIndexBuffer(0,open); SetIndexStyle(0,DRAW_LINE,EMPTY,LineWidth,LineColor);
      timeFrame = MathMax(timeFrame,Period());
   return(0);
}
int deinit()
{
   ObjectDelete("Open1");
   ObjectDelete("Open2");
   return(0);
}

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
//
//
//
//
//

int start()
{
   int counted_bars=IndicatorCounted();
   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
           int limit = MathMin(MathMax(Bars-counted_bars,3*timeFrame/Period()),Bars-1);

   //
   //
   //
   //
   //

   for(int i=limit; i>=0; i--) open[i] = iOpen(NULL,timeFrame,iBarShift(NULL,timeFrame,Time[i]));
   
   ObjectCreate("Open1",OBJ_TREND,0,0,0,0,0);
      ObjectSet("Open1",OBJPROP_COLOR,LineColor);
      ObjectSet("Open1",OBJPROP_WIDTH,LineWidth);
      ObjectSet("Open1",OBJPROP_BACK,false);
      ObjectSet("Open1",OBJPROP_RAY,false);
      ObjectSet("Open1",OBJPROP_PRICE1,open[0]);
      ObjectSet("Open1",OBJPROP_PRICE2,open[0]);
      ObjectSet("Open1",OBJPROP_TIME1,Time[0]);
      ObjectSet("Open1",OBJPROP_TIME2,Time[0]+arrowShift*Period()*60);
      
   if (ObjectFind("Open2")==-1)
    {
       ObjectCreate("Open2",OBJ_ARROW_RIGHT_PRICE,0,Time[0]+arrowShift*Period()*60,open[0]);
          ObjectSet("Open2",OBJPROP_COLOR,LineColor);
          ObjectSet("Open2",OBJPROP_WIDTH,1);
    }
   else  ObjectMove("Open2",0,Time[0]+arrowShift*Period()*60,open[0]);
   return(0);
}